Loading...
Searching...
No Matches
oval_probe.h File Reference

OVAL probe interface API public header. More...

`#include <stdio.h>`
`#include <stdarg.h>`
`#include <stdint.h>`
`#include "oval_definitions.h"`
`#include "oval_system_characteristics.h"`
`#include "oval_probe_session.h"`
`#include "oscap_export.h"`
Include dependency graph for oval_probe.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | OVAL_PROBE_H
#define | OVAL_PDFLAG_NOREPLY 0x0001
| don't send probe result to library - just an ack
#define | OVAL_PDFLAG_NORECONN 0x0002
| don't try to reconnect on fatal errors
#define | OVAL_PDGLAG_RUNALL 0x0004
| execute all probes when executing the first
#define | OVAL_PDFLAG_RUNNOW 0x0008
| execute all probes immediately
#define | OVAL_PDFLAG_SLAVE 0x0010
#define | OVAL_PDFLAG_MASK (0x0001|0x0002|0x0004|0x0008|0x0010)

## Functions

OSCAP_API int | oval_probe_query_sysinfo (oval_probe_session_t *sess, struct oval_sysinfo **out_sysinfo) __attribute__((nonnull(1
| Evaluate system info probe.
OSCAP_API int OSCAP_API int | oval_probe_query_object (oval_probe_session_t *psess, struct oval_object *object, int flags, struct oval_syschar **out_syschar) __attribute__((nonnull(1
| Evaluate an object.
OSCAP_API int OSCAP_API int OSCAP_API int | oval_probe_query_variable (oval_probe_session_t *sess, struct oval_variable *variable)
| Query the specified variable and all its dependencies in order to compute the vector of its values.

## Detailed Description

OVAL probe interface API public header.

Author
  "Daniel Kopecek" dkope.nosp@m.cek@.nosp@m.redha.nosp@m.t.co.nosp@m.m